请选择 进入手机版 | 继续访问电脑版
设为首页收藏本站

上思论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 1683|回复: 1

更换网站空间出现错误提示Mysql version can not be less than 4.1解决办法

[复制链接]
发表于 2013-7-2 21:59:46 | 显示全部楼层 |阅读模式
解决办法:4 ~6 g1 R5 Y, ]9 p9 g
之前网站与数据库是在同一台服务器上,因此ip是相同的,配置文件如下:
" \- x( W3 Y; L' h; p& b0 ~#[数据库参数]
3 W- y( f9 ]8 o2 ^7 N5 w4 d$dbHost="localhost";  //网站和数据库在同一台服务器上的话,ip可以直接为localhost
" C* G3 P4 f/ e4 z0 B/ j. n$dbName="XXX";
; ]2 K# {. a$ Z* }$ c2 j# n$dbUser="XXX";6 }, V' h+ n, E3 e" n
$dbPass="XXX";

. T, Z) R7 I* ?4 _新换的网站ip是96.44.149.43,而数据库ip是96.44.149.44,因此,二者不再同一台服务器上,网站数据库配置参数里面的ip不能再填写为localhost,而是真实的ip96.44.149.44$ ~! |, H2 c( H
另外把数据库名字、数据库用户名、数据库密码都换为新的用户名和密码。% |1 D. @0 P; @" v$ L
问题解决!/ ^/ B% J) K. y1 w- W6 K
. @  L5 h+ @( X: h5 v- q
回复

使用道具 举报

发表于 2016-5-24 22:28:46 | 显示全部楼层
抢沙发,楼下做板凳8 c$ p/ W0 _' l: S2 v/ X" D4 R
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

创建上思文明城市

QQ|小黑屋|手机版|Archiver|上思论坛    

GMT+8, 2017-7-20 20:25 , Processed in 0.217198 second(s), 19 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表